Skip to content

List Device Fingerprints
deprecated

Request

Returns a list of device fingerprints created for this user.

This endpoint is restricted and requires both a client credentials token and additional access to use. Please speak with your implementation manager if you would like to use this API.

Security
ClientCredentialsToken
Path
userIdinteger, (int64)required

User ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/users/{userId}/partner-device-fingerprints' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
deviceFingerprintIdstring, (uuid)

Identifier of the device fingerprint.

createdAtstring, (date-time)

Timestamp on when the device fingerprint was created.

]
Response
[ { "deviceFingerprintId": "636a5514-aa86-4719-8700-e9a9a0ae7ea7", "createdAt": "2024-05-24T07:27:58.273205554Z" } ]